package com.bocloud.nms.model.veeam.job;

public class JobStateModel {

    private String id;
    private String name;
    private String type;
    private String description;
    private String status;
    private String lastRun;
    private String lastResult;
    private String nextRun;
    private String workload;
    private String repositoryId;
    private String repositoryName;
    private Integer objectsCount;
    private String sessionId;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getLastRun() {
        return lastRun;
    }

    public void setLastRun(String lastRun) {
        this.lastRun = lastRun;
    }

    public String getLastResult() {
        return lastResult;
    }

    public void setLastResult(String lastResult) {
        this.lastResult = lastResult;
    }

    public String getNextRun() {
        return nextRun;
    }

    public void setNextRun(String nextRun) {
        this.nextRun = nextRun;
    }

    public String getWorkload() {
        return workload;
    }

    public void setWorkload(String workload) {
        this.workload = workload;
    }

    public String getRepositoryId() {
        return repositoryId;
    }

    public void setRepositoryId(String repositoryId) {
        this.repositoryId = repositoryId;
    }

    public String getRepositoryName() {
        return repositoryName;
    }

    public void setRepositoryName(String repositoryName) {
        this.repositoryName = repositoryName;
    }

    public Integer getObjectsCount() {
        return objectsCount;
    }

    public void setObjectsCount(Integer objectsCount) {
        this.objectsCount = objectsCount;
    }

    public String getSessionId() {
        return sessionId;
    }

    public void setSessionId(String sessionId) {
        this.sessionId = sessionId;
    }

    @Override public String toString() {
        return "JobStates{" + "id='" + id + '\'' + ", name='" + name + '\'' + ", type='" + type + '\''
            + ", description='" + description + '\'' + ", status='" + status + '\'' + ", lastRun=" + lastRun
            + ", lastResult='" + lastResult + '\'' + ", nextRun=" + nextRun + ", workload='" + workload + '\''
            + ", repositoryId='" + repositoryId + '\'' + ", repositoryName='" + repositoryName + '\''
            + ", objectsCount=" + objectsCount + ", sessionId='" + sessionId + '\'' + '}';
    }
}
